%global momorel 19
%global reldir 18121
%global scimver 1.4.9

Summary: SCIM IMEngine module for SKK
Name: scim-skk
Version: 0.5.2
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: Applications/System
URL: http://scim-imengine.sourceforge.jp/index.cgi?cmd=view;name=SCIMSKK
Source0: http://dl.sourceforge.jp/scim-imengine/%{reldir}/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: %{name}-%{version}-cya_xwe.patch 
Patch1: %{name}-%{version}-dictionary.patch
Patch2: %{name}-%{version}-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: scim >= %{scimver}
Requires: skkserv
BuildRequires: scim-devel >= %{scimver}
Obsoletes: skim-scim-skk

%description
SCIM IMEngine module for SKK

%prep
%setup -q

%patch0 -p1 -b .cya_xwe
%patch1 -p1 -b .#185
%patch2 -p1 -b .gcc43~

%build
%configure --enable-static=no
%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of *.la files
find %{buildroot} -name "*.la" -delete

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README* TODO
%{_libdir}/scim-1.0/1.4.0/IMEngine/*
%{_libdir}/scim-1.0/1.4.0/SetupUI/*
%{_datadir}/scim/icons/*
%{_datadir}/locale/*/*/*

%changelog
* Sun Sep  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.2-19m)
- change Source0 URI

* Wed Jan 25 2012 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.2-18m)
- disable static

* Tue Jan 24 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.2-17m)
- Obsoletes: skim-scim-skk

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.5.2-16m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.5.2-15m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.2-14m)
- full rebuild for mo7 release

* Fri Apr 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.2-13m)
- touch up spec file

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.2-12m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun May 31 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.2-11m)
- fix build with new libtool

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.2-10m)
- rebuild against rpm-4.6

* Sun Jan 11 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.2-9m)
- update Patch1 for fuzz=0
- License: GPLv2+

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.2-8m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.2-7m)
- %%NoSource -> NoSource

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.5.2-6m)
- add patch for gcc43, generated by gen43patch(v1)

* Fri Jun  1 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.2-5m)
- apply scim-skk-dictionary.diff (BTS185)

* Tue Feb 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.2-4m)
- delete libtool library

* Sun Oct 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.2-3m)
- modify %%files for scim-1.4.5

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.2-2m)
- rebuild against scim-1.4.4-0.20060301.5m

* Sat Feb  4 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.2-1m)
- update 0.5.2

* Thu Dec 15 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-1m)
- update 0.5.1

* Wed Nov 30 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.0-1m)
- update 0.5.0

* Sun Oct 30 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.0-1m)
- update 0.4.0
- rename scim-skk-0.3.0-cya_xwe.patch to scim-skk-0.4.0-cya_xwe.patch

* Thu Aug 11 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.0-2m)
- rebuild against scim-1.4.1-1m

* Mon Jun 30 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.0-1m)
- update 0.3.0

* Mon Jun 20 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.1-1m)
- update 0.2.1

* Mon Apr 25 2005 Toru Hoshina <t@momonga-linux.org>
- (0.2.0-2m)
- I need to input ちゃ by cya and ゑ as xwe :-p

* Mon Apr 11 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.2.0-1m)
- up to 0.2.0

* Mon Mar 28 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.1.3-0.02005032801m)
- initial commit
